summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_posix.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_posix.sh')
-rwxr-xr-xsource4/script/tests/test_posix.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/source4/script/tests/test_posix.sh b/source4/script/tests/test_posix.sh
index 2448408ce5..92ed4fe52a 100755
--- a/source4/script/tests/test_posix.sh
+++ b/source4/script/tests/test_posix.sh
@@ -17,6 +17,8 @@ start="$4"
shift 3
testit() {
+ trap "rm -f test.$$" EXIT
+
cmdline="$*"
if ! $cmdline > test.$$ 2>&1; then
cat test.$$;